Skip to main content
POST
/
2025-04
/
placements
/
report
/2025-04/placements/report
curl --request POST \
  --url https://api.criteo.com/2025-04/placements/report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "type": "report",
      "attributes": {
        "advertiserIds": "123,456,789",
        "campaignIds": "111,222,333,444",
        "adsetIds": "135,246,357,468",
        "environment": "Web",
        "placement": "MyPlacement",
        "dimensions": [
          "AdsetId",
          "AdvertiserId",
          "Placement"
        ],
        "metrics": [
          "Clicks",
          "Displays",
          "Cost"
        ],
        "currency": "EUR",
        "disclosed": false,
        "format": "csv",
        "timezone": "Europe/Paris",
        "startDate": "2024-01-01T00:00:00.0000000+00:00",
        "endDate": "2024-01-04T00:00:00.0000000+00:00"
      }
    }
  ]
}
'
"<string>"

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

A top-level object that encapsulates a Criteo API request for several value objects.

data
object[] | null

Response

Success

The response is of type file.